cURL
curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/plan \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"estimateTime": 123,
"updateCellCount": 123,
"graph": {
"nodes": [
{
"id": "<string>",
"label": "<string>",
"comboId": "<string>"
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>"
}
],
"combos": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"linkFieldCount": 123
}plan
Get table field plan
Generate calculation plan for the field
GET
/
table
/
{tableId}
/
field
/
{fieldId}
/
plan
cURL
curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/plan \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"estimateTime": 123,
"updateCellCount": 123,
"graph": {
"nodes": [
{
"id": "<string>",
"label": "<string>",
"comboId": "<string>"
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>"
}
],
"combos": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"linkFieldCount": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on March 5, 2026
Was this page helpful?
⌘I

